Download it now!
Bug 36613 - LO 3.4 Beta 2 - Hover over icons produces the wrong behavior
Summary: LO 3.4 Beta 2 - Hover over icons produces the wrong behavior
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.0 Beta2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks: mab3.4
  Show dependency treegraph
 
Reported: 2011-04-26 11:29 UTC by Zack
Modified: 2011-05-20 03:44 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Correct hover behavior in 3.3.2 (99.80 KB, image/png)
2011-04-26 11:29 UTC, Zack
Details
Incorrect hover behavior in 3.4 Beta 2 (137.00 KB, image/png)
2011-04-26 11:29 UTC, Zack
Details
Ubuntu Natty, same problem (73.50 KB, image/png)
2011-05-19 11:36 UTC, Lucas Baudin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zack 2011-04-26 11:29:13 UTC
Created attachment 46096 [details]
Correct hover behavior in 3.3.2

This bug is best explained with screenshots, so please look at both screenshots to see the difference.  In 3.3.2, when the mouse was hovered over an icon, the icon took on a border.  Then, when the button was clicked it took on a look as if it had been depressed.

In 3.4, there is no difference between putting the cursor over an icon and depressing.  Simply hovering over the icons causes them to have a "depressed" look.

While I guess it is possible this is an "enhancement," it appears to be a regression and a bug if you ask me.


Both screenshots show the behavior when the mouse is hovered over an icon.  The pointer is not captured in the screenshot so I have circled the button which is being hovered over in both the 3.3.2 version of LO (the correct behavior) and the 3.4 Beta 2 (incorrect behavior).  Hopefully this is easy to fix.
Comment 1 Zack 2011-04-26 11:29:52 UTC
Created attachment 46097 [details]
Incorrect hover behavior in 3.4 Beta 2
Comment 2 Petr Mladek 2011-04-28 03:28:10 UTC
Christoph, are you aware of this change? Is it a bug or feature? :-)
Comment 3 vitriol 2011-04-28 03:38:08 UTC
IMHO it's a bug. On Windows button have three status, ad here "mouse over" status doesn't work. Instead of "mouse over" is shown "mouse click" status.
Comment 4 Christoph 2011-04-28 08:51:16 UTC
@petr: I agree with vitriol - this is a clear bug. I'm not aware of any change that might have introduced that strange behavior.

@Zack: Thanks for the report - well explained. Keep your eyes open! :-)
Comment 5 Michael Meeks 2011-05-03 13:55:42 UTC
Tor - I wonder if this was fixed by reverting the empty controlregion elision for Windows (?). Can you check quickly ? :-)
Comment 6 Don't use this account, use tml@iki.fi 2011-05-03 23:55:08 UTC
Michael, in a build where the spinbuttons thing has been fixed and the spinners show, I do see the behaviour described here. So it doesn't seem to be related.
Comment 7 vitriol 2011-05-11 12:12:21 UTC
No hope for a fix before 3.4? It's very annoying...
Comment 8 Lucas Baudin 2011-05-19 11:36:24 UTC
Created attachment 46916 [details]
Ubuntu Natty, same problem

There is the same problem for the gtk frontend, the buttons look pressed too.
Comment 9 Don't use this account, use tml@iki.fi 2011-05-20 03:00:25 UTC
Lucas sent a patch to the mailing list that fixes the problem, committed and pushed that to master, will push the the 3-4 and 3-4-0 branches too once I have enough approvals.
Comment 10 Don't use this account, use tml@iki.fi 2011-05-20 03:01:59 UTC
Let me rephrase that: I won't push all three patches, they contained also untabifying and code style sanity improvements; I will push just a minimal part that fixes the problem.
Comment 11 Don't use this account, use tml@iki.fi 2011-05-20 03:36:24 UTC
Now pushed to the -3-4 and -3-4-0 branches, too.
Comment 12 vitriol 2011-05-20 03:39:18 UTC
Thank you Tor.
Comment 13 Don't use this account, use tml@iki.fi 2011-05-20 03:44:56 UTC
Don't thank me, thank Lucas (xapantu).